Subject: Re: Commit graph not using minimal number of columns

From: Junio C Hamano <[email-masked]>
Date: Wed, 26 Apr 2023 10:43:07 -0700

Derrick Stolee <[email-masked]> writes:

> To adapt this algorithm to a newer, dynamic ordering that cares about
> minimizing the rendered graph, I don't think changing the priority
> queue comparison would be sufficient. Something deeper would be
> required and would be quite messy.

Oh, I wasn't thinking about "graph-friendly" at all.  

I was wondering if we replaced --date-order implementation with
corrected commit date from the generation number work would give us
a better output order that users would expect in general (with or
without --graph).